Bug 1294943 - Wayland: Fatal system crash when dragging gnome-terminal window between workspaces...
Wayland: Fatal system crash when dragging gnome-terminal window between works...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 02:15 EST by AGS
Modified: 2016-12-13 04:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-13 04:34:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 753690 None None None 2015-12-31 02:15 EST

  None (edit)
Description AGS 2015-12-31 02:15:33 EST
Description of problem:

When running the GNOME Wayland session dragging gnome-terminal windows from one workspace to the next or between monitors in overview mode causes a fatal lockup that requires a hard-reboot, pressing the power-button.

Version-Release number of selected component (if applicable):

gnome-shell 3.18.3-1.fc23

Steps to Reproduce:
1. Start a new GNOME on Wayland session.
2. Launch some new GNOME Terminal windows.
3. Open up the Activities overview mode and move a terminal from one workspace or monitor to the other.

Actual results:

Total and complete system crash, can't even access TTY's and requires a hard reset to fix.

Expected results:

The Terminal window moves normally and everything goes smoothly.

Additional info:

I'm seeing this in the journal:

Dec 31 01:18:58 user.local gnome-shell-wayland.desktop[2216]: (gnome-shell:2216): GLib-GObject-WARNING **: gsignal.c:2634: instance '0x55a5293c1ee0' has no handler with id '56954'
Dec 31 01:18:58 user.local gnome-shell-wayland.desktop[2216]: (gnome-shell:2216): GLib-GObject-WARNING **: gsignal.c:2634: instance '0x55a5293c1ee0' has no handler with id '56955'
Dec 31 01:18:58 user.local gnome-shell-wayland.desktop[2216]: Gjs-Message: JS LOG: _onFocus [object instance proxy GType:MetaWindowX11 jsobj@0x7fdcc56669a0 native@0x55a5293b5660]
Comment 1 Kamil Páral 2016-01-04 07:59:37 EST
This happens only when you move a maximized window, right? In that case it's https://bugzilla.gnome.org/show_bug.cgi?id=757676 .
Comment 2 Fedora End Of Life 2016-11-24 09:37:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Christian Stadelmann 2016-12-12 18:32:13 EST
Upstream bug is closed and marked as fixed. I can confirm the fix in Fedora 25.

Note You need to log in before you can comment on or make changes to this bug.